/* This is a dummy wrapper for CPMI*() functions from nanfor library
 * None of these functions is required for Windows nor for Linux
 * Copyright 2012 by multisoft Datentechnik, Germany
 * Public domain for nanfor library used by FlagShip
 *
 * compile by supplied Makefile.*
 */
#include "cpmi.h"

BOOLEAN cpmiIsProtected( void )                       // replaces cpmi/isprot.asm
{
   return 0;  
}

int cpmiWillGPF( void *p1, unsigned int p2, unsigned int p3)   // replaces cpmi/willgpf.asm
{
   return BEYOND_LIMIT;   
}

SELECTOR cpmiAllocateSelector( void )                 // replaces cpmi/allocsel.asm
{
   return 0;
}

unsigned int cpmiFreeSelector( SELECTOR p1)           // replaces cpmi/freesel.asm
{
   return SUCCEED;  
}

SELECTOR cpmiSegmentToSelector( SEGMENT p1)
{
   return 0;
}

SELECTOR cpmiSeg2Sel( SEGMENT p1)                     // replaces cpmi/seg2sel.asm
{
   return 0;
} 
            
LINEAR cpmiGetBase( SELECTOR p1)                      // replaces cpmi/getbase.asm
{
   return 0;
}

unsigned int cpmiSetBase( SELECTOR p1, LINEAR p2)     // replaces cpmi/setbase.asm
{
   return FAIL;
}

unsigned int cpmiGetLimit( SELECTOR p1)               // replaces cpmi/getlimit.asm
{
   return 0;
}

unsigned int cpmiSetLimit( SELECTOR p1, int p2)       // replaces cpmi/setlimit.asm
{
   return FAIL;
}

void * cpmiRealPtr( void *p1 )                        // replaces cpmi/rmptr.asm
{
   return 0;
}

SELECTOR cpmiProtectedPtr( void *p1, unsigned int p2) // replaces cpmi/pmptr.asm
{
   return 0;
}

SELECTOR cpmiMakeAlias( SELECTOR p1, unsigned int p2) // replaces cpmi/alias.asm
{
   return 0;
}

SELECTOR cpmiAllocateDOSMem( unsigned int p1)         // replaces cpmi/allocdos.asm
{
   return 0;
}

int cpmiResizeDOSMem( SELECTOR p1, unsigned int p2)   // replaces cpmi/resizdos.asm
{
   return SUCCEED;
}

int cpmiFreeDOSMem( SELECTOR p1)                      // replaces cpmi/freedos.asm
{
   return SUCCEED;  
}

int cpmiInt86( unsigned char p1, CPUREGS *p2, CPUREGS *p3 ) // replaces cpmi/int86.asm
{
   return FAIL;
}

int cpmiFarCallReal( void *p1, CPUREGS *p2, CPUREGS *p3 )   // replaces cpmi/farcall.asm
{
   return FAIL;
}

